{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-simpay-flow/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"Kanały płatności","description":"Znajdziesz tutaj wszystkie niezbędne informacje dotyczące integracji i obsługi systemu płatności SimPay.pl","siteUrl":"https://docs.simpay.pl","llmstxt":{"hide":false,"sections":[{"title":"Table of contents","includeFiles":["**/*"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"kanały-płatności","__idx":0},"children":["Kanały płatności"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Każdy submerchant ma własny zestaw kanałów płatności (BLIK, przelewy, karty, PayPal, płatności odroczone itp.). Zarządzasz nimi przez API SimPay Flow - zwykle w panelu ustawień swojej aplikacji, w którym submerchant sam wybiera, jakie metody płatności chce oferować."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Wszystkie operacje na kanałach są dostępne wyłącznie dla submerchantów w statusie ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["flow_submerchant_active"]},"."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"domyślne-kanały","__idx":1},"children":["Domyślne kanały"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Po akceptacji onboardingu submerchant automatycznie otrzymuje aktywne i włączone kanały dla wszystkich metod płatności, które mają aktywną stawkę domyślną w Twojej usłudze Flow (zobacz ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/simpay-flow/commissions#stawki-domy%C5%9Blne-i-dedykowane"},"children":["Prowizje"]},"). Kanały dla metod włączonych później musisz ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#rejestracja-nowego-kana%C5%82u"},"children":["zarejestrować"]},"."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"lista-kanałów-submerchanta","__idx":2},"children":["Lista kanałów submerchanta"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowgetsubmerchantpaymentchannels"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /flow/{flowServiceId}/submerchants/{submerchantId}/payment-channels"]}]}," zwraca wszystkie kanały submerchanta wraz z:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Pole"},"children":["Pole"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Opis"},"children":["Opis"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ID kanału, np. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["blik"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["blik-level0"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["paypal"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["status"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Status kanału: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["new"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["in_progress"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["rejected"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["enabled"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Czy kanał jest włączony (widoczny dla płacących)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["redirect"]}," - płatność na bramce SimPay, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["whitelabel"]}," - płatność bezpośrednio na Twojej stronie"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["commission"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Prowizja SimPay (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["simpay"]},") oraz Twoja prowizja (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["flow"]},") - zobacz ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/simpay-flow/commissions"},"children":["Prowizje"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["extra"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Dodatkowe dane dla wybranych kanałów (BLIK OneClick, BLIK Płatności Powtarzalne, PayPal)"]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Kanał jest dostępny dla płacących tylko wtedy, gdy ma status ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active"]}," ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["i"]}," jest włączony (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["enabled: true"]},")."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"włączanie-i-wyłączanie-kanałów","__idx":3},"children":["Włączanie i wyłączanie kanałów"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Aktywne kanały włączasz i wyłączasz żądaniem ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowupdatesubmerchantpaymentchannels"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH /flow/{flowServiceId}/submerchants/{submerchantId}/payment-channels"]}]},":"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X PATCH \"https://api.simpay.pl/flow/{flowServiceId}/submerchants/user-123/payment-channels\" \\\n  -H \"Authorization: Bearer TWÓJ_TOKEN_API\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\n    \"channels\": [\n      { \"slug\": \"blik\", \"enabled\": true },\n      { \"slug\": \"paypal\", \"enabled\": false }\n    ]\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Kanały, które nie istnieją, nie są jeszcze aktywne lub nie mają aktywnej prowizji w Twojej usłudze Flow, są pomijane bez błędu."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"rejestracja-nowego-kanału","__idx":4},"children":["Rejestracja nowego kanału"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Pobierz listę kanałów, które submerchant może zarejestrować: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowgetsubmerchantavailablepaymentchannels"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET .../payment-channels/available-for-registration"]}]},". Lista zawiera tylko kanały, dla których Twoja usługa Flow ma aktywną prowizję i których submerchant jeszcze nie ma."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Zarejestruj wybrany kanał: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowregistersubmerchantpaymentchannel"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST .../payment-channels/register"]}]}," z ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," kanału."]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X POST \"https://api.simpay.pl/flow/{flowServiceId}/submerchants/user-123/payment-channels/register\" \\\n  -H \"Authorization: Bearer TWÓJ_TOKEN_API\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{ \"id\": \"paypo\" }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Po rejestracji:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["kanał, który ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["nie wymaga weryfikacji"]}," (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["needs_verification: false"]},"), od razu otrzymuje status ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active"]},","]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["kanał, który ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["wymaga weryfikacji"]},", otrzymuje status ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["new"]}," i trafia do weryfikacji przez SimPay (lub zgłoszenia do operatora metody płatności). O zmianie statusu poinformujemy ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/simpay-flow/webhooks"},"children":["webhookiem"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["flow_submerchant_payment_channel:status_changed"]},"."]}]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning","name":"Kanał jest domyślnie wyłączony"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Nowo zarejestrowany kanał ma ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["enabled: false"]},". Po jego aktywacji włącz go przez ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PATCH .../payment-channels"]},"."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Niektóre kanały (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["requires_company: true"]},") są dostępne tylko dla submerchantów z zarejestrowaną działalnością gospodarczą. Dla działalności nierejestrowanej API zwróci błąd ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CHANNEL_REQUIRES_COMPANY"]},"."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"kanały-specjalne","__idx":5},"children":["Kanały specjalne"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"blik-level-0--oneclick","__idx":6},"children":["BLIK Level 0 + OneClick"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Zarejestruj i aktywuj kanał ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["blik-level0"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Wyślij ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST .../payment-channels/register"]}," z ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["\"id\": \"blik-level0-oneclick\""]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Status zgłoszenia OneClick znajdziesz w ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["extra.blikOneClick"]}," kanału ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["blik-level0"]},": ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PENDING_REGISTRATION"]}," → ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REGISTERED_WAITING_ACTIVATION"]}," → ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ACTIVE"]}," (lub ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["REJECTED"]},")."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["OneClick jest dostępny wyłącznie dla submerchantów z zarejestrowaną działalnością gospodarczą. Więcej o samej usłudze: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/payment/blik/level0_oneclick"},"children":["BLIK Level 0 + OneClick"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"blik-płatności-powtarzalne","__idx":7},"children":["BLIK Płatności Powtarzalne"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Aktywne modele płatności powtarzalnych (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["A"]}," - AUTO, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["O"]}," - OPEN, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["M"]}," - MANUAL) znajdziesz w ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["extra.blikRecurrent.models"]}," kanału ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["blik-recurrent"]},". Więcej: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/payment/blik/recurrent"},"children":["BLIK Płatności Powtarzalne"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"paypal","__idx":8},"children":["PayPal"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Dla kanału ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["paypal"]}," ustaw adres email konta PayPal submerchanta żądaniem ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowupdatesubmerchantpaypal"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT .../payment-channels/paypal"]}]},". Aktualny adres znajdziesz w ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["extra.paypalCheckoutEmail"]},"."]}]},"headings":[{"value":"Kanały płatności","id":"kanały-płatności","depth":1},{"value":"Domyślne kanały","id":"domyślne-kanały","depth":2},{"value":"Lista kanałów submerchanta","id":"lista-kanałów-submerchanta","depth":2},{"value":"Włączanie i wyłączanie kanałów","id":"włączanie-i-wyłączanie-kanałów","depth":2},{"value":"Rejestracja nowego kanału","id":"rejestracja-nowego-kanału","depth":2},{"value":"Kanały specjalne","id":"kanały-specjalne","depth":2},{"value":"BLIK Level 0 + OneClick","id":"blik-level-0--oneclick","depth":3},{"value":"BLIK Płatności Powtarzalne","id":"blik-płatności-powtarzalne","depth":3},{"value":"PayPal","id":"paypal","depth":3}],"frontmatter":{"seo":{"title":"Kanały płatności"}},"lastModified":"2026-10-01T15:18:54.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/simpay-flow/channels","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}